package core.engine.entity;

import utils.vectors.Vector3f;

public class Camera {

    private Vector3f position = new Vector3f(0,0,0);
    private float pitch;
    private float yaw;
    private float roll;

    public void moveLeft() {
        position.x += 0.02f;
    }

    public void moveForward() {
        position.z -= 0.02f;
    }

    public void moveBackward() {
        position.z += 0.02f;
    }

    public void moveRight() {
        position.x -= 0.02f;
    }

    public Vector3f getPosition() {
        return position;
    }

    public float getPitch() {
        return pitch;
    }

    public float getYaw() {
        return yaw;
    }

    public float getRoll() {
        return roll;
    }
}
